import { Box, Typography } from "@mui/material";
import moment from "moment";
import { memo } from "react";
import PersonAddIcon from '@mui/icons-material/PersonAdd';

const style = {
  display: 'flex',
  flexDirection: 'column',
}
const styleText = {
  fontSize: '20px',
  fontWeight: '600',
  display: 'flex',
  alignItems: 'center',
  gap: '10px'
}


const ProjectInfo = ({ project, handleOpen }) => {
  return (
    <Box sx={style} justifyContent={'space-between'}>
      <Typography variant="h2">Проект - {project?.title} </Typography>
      <Typography variant="body1" sx={styleText}>
        Дата создания проекта: {moment(project?.createdAt).format('MM.DD.YYYY')}
      </Typography>
      <Typography variant="body1" sx={styleText}>
        Цвет: {project?.color}
      </Typography>
      <Typography variant="body1" sx={styleText}>
        Автор проекта: {project?.members[0]?.user.displayName}
      </Typography>
      <Typography variant="body1" sx={styleText}>
        Роль в проекте: {project?.members[0]?.roleProject}
      </Typography>
      <Typography variant="body1" sx={styleText}>
        Задачи:
      </Typography>
      <Typography variant="body1" sx={styleText}>
        Добавить участника:  <PersonAddIcon style={{ cursor: 'pointer' }} onClick={()=>{handleOpen()}} />
      </Typography>
    </Box>
  );
};

export default memo(ProjectInfo);