import { Grid } from "@mui/material";
import DeleteIcon from "@mui/icons-material/Delete";
import { memo } from "react";

const style = {
    width: '90%',
    border: '1px solid black',
    borderRadius: '5px',
    padding: '15px 15px',
    display: 'flex',
    justifyContent: 'space-between',
    alignItems: 'center'
}

const ProjectMembersItem = ({ user, deleteMemberHandler }) => {

    return <>
        <Grid sx={style}>
            {user?.displayName}
            <DeleteIcon
                sx={{cursor: 'pointer'}}
                onClick={deleteMemberHandler}
            />
        </Grid>
    </>
};

export default memo(ProjectMembersItem);
