import { Box } from "@mui/material";
import { memo } from "react";
import UserItem from "./UserItem/UserItem";

const styleList = {
  display: 'flex',
  gap: '10px',
  flexDirection: 'column',
  alignItems: 'center',
}

const UsersList = ({ role, members, deleteMemberHandler }) => {
  return (
    <Box sx={styleList}>
      {members.map((member) => {
        if (member.roleProject === role.value) {
          return (
            <UserItem
              key={member.id}
              user={member?.user}
              deleteMemberHandler={() => { deleteMemberHandler(member?.user?.id) }}
            />
          )
        } else {
          return null
        }
      })}
    </Box>
  );
};

export default memo(UsersList);